Bug 1032520 - WHQL'ed drivers should be made available for Boxes/libosinfo users
WHQL'ed drivers should be made available for Boxes/libosinfo users
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libosinfo (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.1
Assigned To: Felipe Borges
Desktop QE
:
Depends On:
Blocks: 1054905 1054906
  Show dependency treegraph
 
Reported: 2013-11-20 05:48 EST by Christophe Fergeau
Modified: 2018-03-15 06:12 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Fergeau 2013-11-20 05:48:32 EST
Boxes can autoinstall Windows including the virtio/qxl drivers. However, non-whql'ed upstream drivers will be used even if the customer has access to the Red Hat whql'ed drivers.
Comment 2 Zeeshan Ali 2013-12-09 12:41:42 EST
Do the RHEL7 customers have access to signed drivers? If so, we could install links to those in /var/cache/gnome-boxes as part of gnome-boxes package so once the following bug is fixed, Boxes will use those drivers instead of downloading from internet:

https://bugzilla.gnome.org/show_bug.cgi?id=698144

This will also take care of bug#1032524.
Comment 3 Christophe Fergeau 2013-12-09 13:08:01 EST
(In reply to Zeeshan Ali from comment #2)
> Do the RHEL7 customers have access to signed drivers?

I don't know, I have seen contradicting answers regarding this :-/
Comment 4 Zeeshan Ali 2013-12-10 09:59:12 EST
(In reply to Christophe Fergeau from comment #3)
> (In reply to Zeeshan Ali from comment #2)
> > Do the RHEL7 customers have access to signed drivers?
> 
> I don't know, I have seen contradicting answers regarding this :-/

In that case, maybe we should postpone this to 7.1? I'll already get try to get the related upstream bug fixed in the meantime so when we get more certain info, its very easy to fix this then.
Comment 5 Zeeshan Ali 2014-01-07 08:26:57 EST
Based on comment#4.
Comment 19 Zeeshan Ali 2014-01-17 13:27:59 EST
For the other 2 steps in comment#14, I filed separate bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=1054905
https://bugzilla.redhat.com/show_bug.cgi?id=1054906

I realized that step#1 I mentioned is really actually covered already as Ronan said in comment#15 and I was just looking at the wrong package (RHEL 6.5).
-----------------

There is one more thing I realized. The virtio-win package provides the driver files and if I recall correctly I failed to find a way to at least tell winxp (I think there was a way for win7) to install those drivers and that is why I used spice-guest-tools executable that I ran at the end of the installation from my installation script.

There is a way to pass preinstallation drivers to winxp but that is restricted to some particular device types. virtio-block is currently installed using that method.

Do we happen to have spice-guest-tools binary with signed drivers available?

Do we care anymore about winxp much now that MS is dropping the support?
Comment 20 Ronen Hod 2014-01-19 05:06:06 EST
(In reply to Zeeshan Ali from comment #19)
> For the other 2 steps in comment#14, I filed separate bugs:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1054905
> https://bugzilla.redhat.com/show_bug.cgi?id=1054906
> 
> I realized that step#1 I mentioned is really actually covered already as
> Ronan said in comment#15 and I was just looking at the wrong package (RHEL
> 6.5).
> -----------------
> 
> There is one more thing I realized. The virtio-win package provides the
> driver files and if I recall correctly I failed to find a way to at least
> tell winxp (I think there was a way for win7) to install those drivers and
> that is why I used spice-guest-tools executable that I ran at the end of the
> installation from my installation script.

Indeed, XP's end of life is in less than 3 months. We do our best to slow down our XP activity.
XP/2003 will let you use non-inbox (external), boot-time drivers, only if you take them from a Floppy disk. Than's why we provide the necessary drivers in a VFD file. This means that you can USE virtio-blk DURING the installation. You can always install drivers from the ISO, but they cannot be used already during the installation.

> 
> There is a way to pass preinstallation drivers to winxp but that is
> restricted to some particular device types. virtio-block is currently
> installed using that method.
> 
> Do we happen to have spice-guest-tools binary with signed drivers available?

Not in my domain.

And to your previous question.
RHEL customers that install boxes are entitled for the WHQLd drivers from the supplementary channel. Fedora and upstream are not.

Ronen.

> 
> Do we care anymore about winxp much now that MS is dropping the support?
Comment 22 Zeeshan Ali 2014-01-20 09:57:28 EST
(In reply to Ronen Hod from comment #20)
> (In reply to Zeeshan Ali from comment #19)
> > For the other 2 steps in comment#14, I filed separate bugs:
> > 
> > https://bugzilla.redhat.com/show_bug.cgi?id=1054905
> > https://bugzilla.redhat.com/show_bug.cgi?id=1054906
> > 
> > I realized that step#1 I mentioned is really actually covered already as
> > Ronan said in comment#15 and I was just looking at the wrong package (RHEL
> > 6.5).
> > -----------------
> > 
> > There is one more thing I realized. The virtio-win package provides the
> > driver files and if I recall correctly I failed to find a way to at least
> > tell winxp (I think there was a way for win7) to install those drivers and
> > that is why I used spice-guest-tools executable that I ran at the end of the
> > installation from my installation script.
> 
> Indeed, XP's end of life is in less than 3 months. We do our best to slow
> down our XP activity.
> XP/2003 will let you use non-inbox (external), boot-time drivers, only if
> you take them from a Floppy disk. Than's why we provide the necessary
> drivers in a VFD file. This means that you can USE virtio-blk DURING the
> installation. You can always install drivers from the ISO, but they cannot
> be used already during the installation.

OK, I guess there is no choice but to only install virtio-blk driver for XP then.
Comment 23 RHEL Product and Program Management 2014-03-22 02:30:01 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.